Magick++: Magick::DrawableTextInterlineSpacing Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableTextInterlineSpacing Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTextInterlineSpacing:
[legend]
Collaboration diagram for Magick::DrawableTextInterlineSpacing:
[legend]

## Public Member Functions
| DrawableTextInterlineSpacing (double spacing_)
| ~DrawableTextInterlineSpacing (void)
void | operator() (MagickCore::DrawingWand *context_) const
void | spacing (double spacing_)
double | spacing (void) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2162 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableTextInterlineSpacing()

Magick::DrawableTextInterlineSpacing::DrawableTextInterlineSpacing | ( | double | spacing_ | ) |

Definition at line 1601 of file Drawable.cpp.

## ◆ ~DrawableTextInterlineSpacing()

Magick::DrawableTextInterlineSpacing::~DrawableTextInterlineSpacing | ( | void |  | ) |

Definition at line 1607 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableTextInterlineSpacing::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1627 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableTextInterlineSpacing::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1611 of file Drawable.cpp.

## ◆ spacing() [1/2]

void Magick::DrawableTextInterlineSpacing::spacing | ( | double | spacing_ | ) |

Definition at line 1617 of file Drawable.cpp.

## ◆ spacing() [2/2]

double Magick::DrawableTextInterlineSpacing::spacing | ( | void |  | ) | const

Definition at line 1622 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp